package com.yihu.jw.entity.care.sign;

import com.yihu.jw.entity.UuidIdentityEntityWithCreateTime;

import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 能力评估-日常生活能力评估表
 * Created by Bing on 2021/4/1.
 */
@Entity
@Table(name="base_capacity_assessment_living_ability")
public class CapacityAssessmentLivingAbilityDo extends UuidIdentityEntityWithCreateTime {

    private String  assessmentYear; //评估年份
    private Integer status; //状态 0失效 1有效
    private String  patient;    //
    private String  eatingAbilityScore; //进食能力得分 10可独立进食;5需部分帮助;0需要极大帮助或完全依赖他人
    private String  showerAbilityScore; //洗澡能力得分 5可独立完成;0需要帮助
    private String  washingAbilityScore;    //洗漱能力得分 5可独立完成;0需要帮助
    private String  dressingAbilityScore;   //穿衣能力得分 10可独立完成;5需要部分帮助;0需要极大帮助或完全依赖他人
    private String  excretionAbilityScore;  //排便控制能力得分 10可自主控制;5偶尔失控(每周小于一次，或需要他人提示);0完全失控
    private String  urinationAbilityScore;  //排尿控制能力得分 10可自主控制;5偶尔失控(每周小于一次，或需要他人提示);0完全失控或留置导尿管
    private String  toiletAbilityScore; //如厕能力得分 10可独立完成;5需部分帮助;0需要极大帮助或完全依赖他人
    private String  transferBedAbilityScore;   //床椅转移能力得分 15可独立完成10需要部分帮忙5需要极大帮忙0完全依赖他人
    private String  walkingAbilityScore;    //平地行走能力得分 15可独立行走45m;10需要部分帮助;5需要极大帮助;0完全依赖他人
    private String  downStairsAbilityScore; //上下楼梯能力得分10可独立上下楼梯(连续10~15个台阶);5需要部分帮忙0需要极大帮助或完全依赖他人
    private String  totalScore; //日常生活能力总分 上述得分和 总分100
    private String  abilityGrade;   //能力等级:0能力完好(100);1轻度受损(65-95);2中度受损(45-60);3重度受损(≤40)

    public String getAssessmentYear() {
        return assessmentYear;
    }

    public void setAssessmentYear(String assessmentYear) {
        this.assessmentYear = assessmentYear;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public String getPatient() {
        return patient;
    }

    public void setPatient(String patient) {
        this.patient = patient;
    }

    public String getEatingAbilityScore() {
        return eatingAbilityScore;
    }

    public void setEatingAbilityScore(String eatingAbilityScore) {
        this.eatingAbilityScore = eatingAbilityScore;
    }

    public String getShowerAbilityScore() {
        return showerAbilityScore;
    }

    public void setShowerAbilityScore(String showerAbilityScore) {
        this.showerAbilityScore = showerAbilityScore;
    }

    public String getWashingAbilityScore() {
        return washingAbilityScore;
    }

    public void setWashingAbilityScore(String washingAbilityScore) {
        this.washingAbilityScore = washingAbilityScore;
    }

    public String getDressingAbilityScore() {
        return dressingAbilityScore;
    }

    public void setDressingAbilityScore(String dressingAbilityScore) {
        this.dressingAbilityScore = dressingAbilityScore;
    }

    public String getExcretionAbilityScore() {
        return excretionAbilityScore;
    }

    public void setExcretionAbilityScore(String excretionAbilityScore) {
        this.excretionAbilityScore = excretionAbilityScore;
    }

    public String getUrinationAbilityScore() {
        return urinationAbilityScore;
    }

    public void setUrinationAbilityScore(String urinationAbilityScore) {
        this.urinationAbilityScore = urinationAbilityScore;
    }

    public String getToiletAbilityScore() {
        return toiletAbilityScore;
    }

    public void setToiletAbilityScore(String toiletAbilityScore) {
        this.toiletAbilityScore = toiletAbilityScore;
    }

    public String getTransferBedAbilityScore() {
        return transferBedAbilityScore;
    }

    public void setTransferBedAbilityScore(String transferBedAbilityScore) {
        this.transferBedAbilityScore = transferBedAbilityScore;
    }

    public String getWalkingAbilityScore() {
        return walkingAbilityScore;
    }

    public void setWalkingAbilityScore(String walkingAbilityScore) {
        this.walkingAbilityScore = walkingAbilityScore;
    }

    public String getDownStairsAbilityScore() {
        return downStairsAbilityScore;
    }

    public void setDownStairsAbilityScore(String downStairsAbilityScore) {
        this.downStairsAbilityScore = downStairsAbilityScore;
    }

    public String getTotalScore() {
        return totalScore;
    }

    public void setTotalScore(String totalScore) {
        this.totalScore = totalScore;
    }

    public String getAbilityGrade() {
        return abilityGrade;
    }

    public void setAbilityGrade(String abilityGrade) {
        this.abilityGrade = abilityGrade;
    }
}
